Subject: Re: [PATCH 8/8] upload-pack: send part of packfile response as uri

From: Junio C Hamano <[email-masked]>
Date: Sun, 31 May 2020 09:59:23 -0700

Jonathan Tan <[email-masked]> writes:

> diff --git a/t/t5702-protocol-v2.sh b/t/t5702-protocol-v2.sh
> index 8da65e60de..3ea9345e6f 100755
> + ...
> +	GIT_TEST_SIDEBAND_ALL=1 \
> +	test_must_fail git -c protocol.version=2 \
> +		-c fetch.uriprotocols=http,https \
> +		clone "$HTTPD_URL/smart/http_parent" http_child 2>err &&
> +	test_i18ngrep "pack downloaded from.*does not match expected hash" err

I haven't really read the later parts of this series, but I noticed
that this triggers a test-lint check.  I'll be adding the following
fixup in the meantime before continuing today's integration run.

Thanks.

-- >8 --
Subject: [PATCH] fixup! upload-pack: send part of packfile response as uri

---
 t/t5702-protocol-v2.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/t/t5702-protocol-v2.sh b/t/t5702-protocol-v2.sh
index 041e78a88f..53bda39fb7 100755
--- a/t/t5702-protocol-v2.sh
+++ b/t/t5702-protocol-v2.sh
@@ -829,8 +829,8 @@ test_expect_success 'fetching with valid packfile URI but invalid hash fails' '
 		"uploadpack.blobpackfileuri" \
 		"$(cat objh) $(cat objh) $HTTPD_URL/dumb/mypack-$(cat packh).pack" &&
 
-	GIT_TEST_SIDEBAND_ALL=1 \
-	test_must_fail git -c protocol.version=2 \
+	test_must_fail env GIT_TEST_SIDEBAND_ALL=1 \
+		git -c protocol.version=2 \
 		-c fetch.uriprotocols=http,https \
 		clone "$HTTPD_URL/smart/http_parent" http_child 2>err &&
 	test_i18ngrep "pack downloaded from.*does not match expected hash" err
-- 
2.27.0-rc2-6-g1aa69c7357